Public Member Functions | Protected Attributes

# VRTSimpleSource Class Reference

Inheritance diagram for VRTSimpleSource:

List of all members.

## Public Member Functions
virtual CPLErr | XMLInit (CPLXMLNode *psTree, const char *)
virtual CPLXMLNode * | SerializeToXML (const char *pszVRTPath)
void | SetSrcBand (GDALRasterBand *)
void | SetSrcMaskBand (GDALRasterBand *)
void | SetSrcWindow (int, int, int, int)
void | SetDstWindow (int, int, int, int)
void | SetNoDataValue (double dfNoDataValue)
int | GetSrcDstWindow (int, int, int, int, int, int, int *, int *, int *, int *, int *, int *, int *, int *)
virtual CPLErr | RasterIO (int nXOff, int nYOff, int nXSize, int nYSize, void *pData, int nBufXSize, int nBufYSize, GDALDataType eBufType, int nPixelSpace, int nLineSpace)
virtual double | GetMinimum (int nXSize, int nYSize, int *pbSuccess)
virtual double | GetMaximum (int nXSize, int nYSize, int *pbSuccess)
virtual CPLErr | ComputeRasterMinMax (int nXSize, int nYSize, int bApproxOK, double *adfMinMax)
virtual CPLErr | ComputeStatistics (int nXSize, int nYSize, int bApproxOK, double *pdfMin, double *pdfMax, double *pdfMean, double *pdfStdDev, GDALProgressFunc pfnProgress, void *pProgressData)
virtual CPLErr | GetHistogram (int nXSize, int nYSize, double dfMin, double dfMax, int nBuckets, int *panHistogram, int bIncludeOutOfRange, int bApproxOK, GDALProgressFunc pfnProgress, void *pProgressData)
void | DstToSrc (double dfX, double dfY, double &dfXOut, double &dfYOut)
void | SrcToDst (double dfX, double dfY, double &dfXOut, double &dfYOut)
virtual void | GetFileList (char ***ppapszFileList, int *pnSize, int *pnMaxSize, CPLHashSet *hSetFiles)
virtual int | IsSimpleSource ()
virtual const char * | GetType ()
GDALRasterBand * | GetBand ()
int | IsSameExceptBandNumber (VRTSimpleSource *poOtherSource)
CPLErr | DatasetRasterIO (int nXOff, int nYOff, int nXSize, int nYSize, void *pData, int nBufXSize, int nBufYSize, GDALDataType eBufType, int nBandCount, int *panBandMap, int nPixelSpace, int nLineSpace, int nBandSpace)
## Protected Attributes
GDALRasterBand * | poRasterBand
GDALRasterBand * | poMaskBandMainBand
int | nSrcXOff
int | nSrcYOff
int | nSrcXSize
int | nSrcYSize
int | nDstXOff
int | nDstYOff
int | nDstXSize
int | nDstYSize
int | bNoDataSet
double | dfNoDataValue

The documentation for this class was generated from the following files:

- vrtdataset.h
- vrtsources.cpp

Generated for GDAL by 1.7.1.